import { FormIntegerFieldWidget } from './FormIntegerFieldWidget';
export declare class FormIntegerSliderFieldWidget extends FormIntegerFieldWidget {
    initialize(props: any): this;
    protected get min(): string | number | undefined;
    protected get max(): string | number | undefined;
    protected get step(): number;
    protected get direction(): any;
    protected get reverse(): boolean;
    protected get hasTooltip(): boolean;
    protected get tooltipFormatter(): string | undefined;
}
